Index: src/sas/sasgui/plottools/PlotPanel.py
===================================================================
--- src/sas/sasgui/plottools/PlotPanel.py	(revision 75313af5ff7a47b13075dd439585c592071aebaf)
+++ src/sas/sasgui/plottools/PlotPanel.py	(revision 75313af5ff7a47b13075dd439585c592071aebaf)
@@ -6,5 +6,12 @@
 import logging
 import traceback
+import math
+import os
+import operator
+import copy
+
 import wx
+import numpy as np
+
 # Try a normal import first
 # If it fails, try specifying a version
@@ -15,25 +22,20 @@
 from matplotlib.backends.backend_wxagg import FigureCanvasWxAgg
 from matplotlib.figure import Figure
-import os
-import transform
-#TODO: make the plottables interactive
-from binder import BindArtist
 from matplotlib.font_manager import FontProperties
-DEBUG = False
-
-from plottables import Graph
-from TextDialog import TextDialog
-from LabelDialog import LabelDialog
-import operator
-
-import math
 import pylab
 DEFAULT_CMAP = pylab.cm.jet
-import copy
-import numpy as np
 
 from sas.sasgui.guiframe.events import StatusEvent
+
+#TODO: make the plottables interactive
+from . import transform
+from .TextDialog import TextDialog
+from .LabelDialog import LabelDialog
+from .binder import BindArtist
+from .convert_units import convert_unit
+from .plottables import Graph
 from .toolbar import NavigationToolBar, PlotPrintout, bind
 
+DEBUG = False
 logger = logging.getLogger(__name__)
 
@@ -44,5 +46,4 @@
         for a in obj.get_children(): show_tree(a, d + 1)
 
-from convert_units import convert_unit
 
 
@@ -116,5 +117,5 @@
         self.figure = Figure(None, dpi, linewidth=2.0)
         self.color = '#b3b3b3'
-        from canvas import FigureCanvas
+        from .canvas import FigureCanvas
         self.canvas = FigureCanvas(self, -1, self.figure)
         self.SetColor(color)
@@ -657,8 +658,8 @@
         else:
             plot_dict = plotlist
-        from fitDialog import LinearFit
+        from .fitDialog import LinearFit
 
         if len(plot_dict.keys()) > 0:
-            first_item = plot_dict.keys()[0]
+            first_item = list(plot_dict.keys())[0]
             dlg = LinearFit(parent=None, plottable=first_item,
                             push_data=self.onFitDisplay,
@@ -703,5 +704,5 @@
 
         """
-        from fitDialog import LinearFit
+        from .fitDialog import LinearFit
         if self._fit_dialog is not None:
             return
@@ -736,5 +737,5 @@
             first_item = plot_list.keys()[0]
             if first_item.x != []:
-                from PropertyDialog import Properties
+                from .PropertyDialog import Properties
                 dial = Properties(self, -1, 'Properties')
                 dial.setValues(self.prevXtrans, self.prevYtrans, self.viewModel)
@@ -1001,7 +1002,6 @@
         Remove legend for ax or the current axes.
         """
-        from pylab import gca
         if ax is None:
-            ax = gca()
+            ax = pylab.gca()
         ax.legend_ = None
 
@@ -1327,5 +1327,5 @@
         if id is None:
             id = name
-        from plottable_interactor import PointInteractor
+        from .plottable_interactor import PointInteractor
         p = PointInteractor(self, self.subplot, zorder=zorder, id=id)
         if p.markersize is not None:
@@ -1344,5 +1344,5 @@
         if id is None:
             id = name
-        from plottable_interactor import PointInteractor
+        from .plottable_interactor import PointInteractor
         p = PointInteractor(self, self.subplot, zorder=zorder, id=id)
         p.curve(x, y, dy=dy, color=color, symbol=symbol, zorder=zorder,
@@ -1744,5 +1744,5 @@
             self.graph.delete(self.fit_result)
             if hasattr(self, 'plots'):
-                if 'fit' in self.plots.keys():
+                if 'fit' in self.plots:
                     del self.plots['fit']
         self.ly = None
Index: src/sas/sasgui/plottools/__init__.py
===================================================================
--- src/sas/sasgui/plottools/__init__.py	(revision efe730d4bba7a05c203957e4495eece8359fcd77)
+++ src/sas/sasgui/plottools/__init__.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,2 +1,2 @@
-from PlotPanel import PlotPanel
-from plottables import Data1D, Theory1D
+from .PlotPanel import PlotPanel
+from .plottables import Data1D, Theory1D
Index: src/sas/sasgui/plottools/binder.py
===================================================================
--- src/sas/sasgui/plottools/binder.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/plottools/binder.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -28,12 +28,14 @@
         return self.artist is not other.artist
 
-    def __nonzero__(self):
+    def __bool__(self):
         return self.artist is not None
+
+    __nonzero__ = __bool__
 
 
 class BindArtist(object):
     """
+    Track keyboard modifiers for events.
     """
-    # Track keyboard modifiers for events.
     # TODO: Move keyboard modifier support into the backend.  We cannot
     # TODO: properly support it from outside the windowing system since there
@@ -65,5 +67,5 @@
             ]
         except:
-            print("bypassing scroll_event: wrong matplotlib version")
+            logger.warn("bypassing scroll_event: wrong matplotlib version")
             self._connections = [
                 canvas.mpl_connect('motion_notify_event', self._onMotion),
@@ -74,4 +76,11 @@
             ]
 
+        # Turn off picker if it hasn't already been done
+        try:
+            canvas.mpl_disconnect(canvas.button_pick_id)
+            canvas.mpl_disconnect(canvas.scroll_pick_id)
+        except Exception as exc:
+            logger.error(exc)
+
         self._current = None
         self._actions = {}
@@ -87,5 +96,4 @@
         Use clearall() to reset all connections.
         """
-
         for h in artists:
             for a in self.events:
@@ -123,7 +131,8 @@
         """
         try:
-            for cid in self._connections: self.canvas.mpl_disconnect(cid)
-        except:
-            logger.error("Error disconnection canvas: %s" % sys.exc_value)
+            for cid in self._connections:
+                self.canvas.mpl_disconnect(cid)
+        except Exception as exc:
+            logger.error("Error disconnection canvas: %s" % exc)
         self._connections = []
 
@@ -172,23 +181,22 @@
         sure it applies.  E.g., the callback for 'press' might be:
             if event.button == 1 and event.shift: process Shift-click
-
-        TODO: Only receive events with the correct modifiers (e.g., S-click,
-        TODO:   or *-click for any modifiers).
-        TODO: Only receive button events for the correct button (e.g., click1
-        TODO:   release3, or dclick* for any button)
-        TODO: Support virtual artist, so that and artist can be flagged as
-        TODO:   having a tag list and receive the correct events
-        TODO: Support virtual events for binding to button-3 vs shift button-1
-        TODO:   without changing callback code
-        TODO: Attach multiple callbacks to the same event?
-        TODO: Clean up interaction with toolbar modes
-        TODO: push/pushclear/pop context so that binding changes for
-             the duration
-        TODO:   e.g., to support ? context sensitive help
-        """
+        """
+        #TODO: Only receive events with the correct modifiers (e.g., S-click,
+        #TODO:   or *-click for any modifiers).
+        #TODO: Only receive button events for the correct button (e.g., click1
+        #TODO:   release3, or dclick* for any button)
+        #TODO: Support virtual artist, so that and artist can be flagged as
+        #TODO:   having a tag list and receive the correct events
+        #TODO: Support virtual events for binding to button-3 vs shift button-1
+        #TODO:   without changing callback code
+        #TODO: Attach multiple callbacks to the same event?
+        #TODO: Clean up interaction with toolbar modes
+        #TODO: push/pushclear/pop context so that binding changes for the duration
+        #TODO:   e.g., to support ? context sensitive help
+
         # Check that the trigger is valid
         if trigger not in self._actions:
-            raise ValueError, "%s invalid --- valid triggers are %s"\
-                 % (trigger, ", ".join(self.events))
+            raise ValueError("%s invalid --- valid triggers are %s"
+                % (trigger, ", ".join(self.events)))
 
         # Register the trigger callback
@@ -205,5 +213,5 @@
         """
         if action not in self.events:
-            raise ValueError, "Trigger expects " + ", ".join(self.events)
+            raise ValueError("Trigger expects " + ", ".join(self.events))
 
         # Tag the event with modifiers
@@ -214,5 +222,5 @@
         setattr(ev, 'prop', {})
 
-        # Fallback scheme.  If the event does not return false, pass to parent.
+        # Fallback scheme. If the event does not return false, pass to parent.
         processed = False
         artist, prop = actor.artist, actor.prop
@@ -237,5 +245,5 @@
         """
         # TODO: sort by zorder of axes then by zorder within axes
-        self._artists.sort(cmp=lambda x, y: cmp(y.zorder, x.zorder))
+        self._artists.sort(key=lambda x: x.zorder, reverse=True)
         found = Selection()
         for artist in self._artists:
@@ -276,5 +284,5 @@
 
             transform = self._hasclick.artist.get_transform()
-            # x,y = event.xdata,event.ydata
+            #x,y = event.xdata,event.ydata
             x, y = event.x, event.y
             try:
@@ -286,11 +294,11 @@
                     # #transform ="CompositeGenericTransform" crash
                     pass
-            except:
-                # # CRUFT matplotlib-0.91 support
+            except: # CRUFT: matplotlib-0.91 support
                 # # exception for transform ="CompositeGenericTransform"
                 # # crashes also here
                 x, y = transform.inverse_xy_tup((x, y))
 
-            # event.xdata, event.ydata = x, y
+            #TODO: why compute (x,y) if it isn't being used?
+            #event.xdata, event.ydata = x, y
             self.trigger(self._hasclick, 'drag', event)
         else:
Index: src/sas/sasgui/plottools/canvas.py
===================================================================
--- src/sas/sasgui/plottools/canvas.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/plottools/canvas.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -97,6 +97,6 @@
         try:
             dc.DrawBitmap(self.canvas.bitmap, (0, 0))
-        except:
-            logger.error(sys.exc_value)
+        except Exception as exc:
+            logger.error(exc)
 
     # restore original figure  resolution
@@ -208,6 +208,6 @@
             try:
                 fig.draw(self)
-            except ValueError:
-                logger.error(sys.exc_value)
+            except ValueError as exc:
+                logger.error(exc)
         else:
             self._isRendered = False
Index: src/sas/sasgui/plottools/convert_units.py
===================================================================
--- src/sas/sasgui/plottools/convert_units.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/convert_units.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -13,8 +13,8 @@
     """
     if power != 0:
-        if string.find(unit, "^") != -1:  # if the unit contains a powerer ^
-            toks = re.split("\^", unit)
-            if string.find(toks[0], "/") != -1 or \
-                string.find(toks[0], "-") != -1:
+        if unit.find("^") != -1:  # if the unit contains a powerer ^
+            toks = re.split(r"\^", unit)
+            if toks[0].find("/") != -1 or \
+                toks[0].find("-") != -1:
                 if power == 1:
                     unit = unit
@@ -22,11 +22,11 @@
                     unit = "(" + unit + ")" + "^{" + str(power) + "}"
             else:
-                if string.find(toks[1], "{") != -1:  # if found a {
+                if toks[1].find("{") != -1:  # if found a {
                     find_power_toks = re.split("{", toks[1])
-                    if string.find(find_power_toks[1], "}") != -1:  # found }
+                    if find_power_toks[1].find("}") != -1:  # found }
                         unit_toks = re.split("}", find_power_toks[1])
-                        if string.find(unit_toks[0], ".") != -1:
+                        if unit_toks[0].find(".") != -1:
                             powerer = float(unit_toks[0]) * power
-                        elif string.find(unit_toks[0], "/") != -1:
+                        elif unit_toks[0].find("/") != -1:
                             power_toks = re.split("/", unit_toks[0])
                             powerer = power * int(power_toks[0])\
@@ -44,10 +44,10 @@
                             unit = toks[0] + "^{" + str(powerer) + "}"
                 else:
-                    raise ValueError, "missing } in unit expression"
+                    raise ValueError("missing } in unit expression")
         else:  # no powerer
             if  power != 1:
                 unit = "(" + unit + ")" + "^{" + str(power) + "}"
     else:
-        raise ValueError, "empty unit ,enter a powerer different from zero"
+        raise ValueError("empty unit, enter a power different from zero")
     return unit
 
Index: src/sas/sasgui/plottools/fitDialog.py
===================================================================
--- src/sas/sasgui/plottools/fitDialog.py	(revision 2469df7fc9ffa047115c5bffe589ed307b12c363)
+++ src/sas/sasgui/plottools/fitDialog.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -1,9 +1,11 @@
+import sys
+import math
+
 import wx
-from plottables import Theory1D
-import math
 import numpy as np
-import fittings
-import transform
-import sys
+
+from . import fittings
+from . import transform
+from .plottables import Theory1D
 
 # Linear fit panel size
@@ -86,5 +88,5 @@
         self.layout()
         # Receives the type of model for the fitting
-        from LineModel import LineModel
+        from .LineModel import LineModel
         self.model = LineModel()
         # Display the fittings values
@@ -671,5 +673,5 @@
                 return x
             else:
-                raise ValueError, "cannot compute log of a negative number"
+                raise ValueError("cannot compute log of a negative number")
 
     def floatInvTransform(self, x):
@@ -734,5 +736,5 @@
         except:
             msg = "LinearFit.set_fit_region: fit range must be floats"
-            raise ValueError, msg
+            raise ValueError(msg)
         self.xminFit.SetValue(format_number(xmin))
         self.xmaxFit.SetValue(format_number(xmax))
Index: src/sas/sasgui/plottools/fittings.py
===================================================================
--- src/sas/sasgui/plottools/fittings.py	(revision a1b8fee73528559155793dd74cda07d0c32e9d72)
+++ src/sas/sasgui/plottools/fittings.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -101,5 +101,5 @@
     # Testing implementation
     # Fit a Line model
-    from LineModel import LineModel
+    from .LineModel import LineModel
     line = LineModel()
     cstA = Parameter(line, 'A', event.cstA)
Index: src/sas/sasgui/plottools/plottable_interactor.py
===================================================================
--- src/sas/sasgui/plottools/plottable_interactor.py	(revision 2469df7fc9ffa047115c5bffe589ed307b12c363)
+++ src/sas/sasgui/plottools/plottable_interactor.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -4,5 +4,5 @@
 from __future__ import print_function
 
-from BaseInteractor import _BaseInteractor
+from .BaseInteractor import _BaseInteractor
 
 
Index: src/sas/sasgui/plottools/plottables.py
===================================================================
--- src/sas/sasgui/plottools/plottables.py	(revision 2469df7fc9ffa047115c5bffe589ed307b12c363)
+++ src/sas/sasgui/plottools/plottables.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -389,5 +389,5 @@
 
         """
-        raise NotImplemented, "Not a valid transform"
+        raise NotImplemented("Not a valid transform")
 
     # Related issues
@@ -689,15 +689,15 @@
                 msg = "Plottable.View: Given x and dx are not"
                 msg += " of the same length"
-                raise ValueError, msg
+                raise ValueError(msg)
             # Check length of y array
             if not len(y) == len(x):
                 msg = "Plottable.View: Given y "
                 msg += "and x are not of the same length"
-                raise ValueError, msg
+                raise ValueError(msg)
 
             if dy is not None and not len(dy) == 0 and not len(y) == len(dy):
                 msg = "Plottable.View: Given y and dy are not of the same "
                 msg += "length: len(y)=%s, len(dy)=%s" % (len(y), len(dy))
-                raise ValueError, msg
+                raise ValueError(msg)
             self.x = []
             self.y = []
@@ -734,13 +734,13 @@
                 msg = "Plottable.View: transformed x "
                 msg += "and y are not of the same length"
-                raise ValueError, msg
+                raise ValueError(msg)
             if has_err_x and not (len(self.x) == len(self.dx)):
                 msg = "Plottable.View: transformed x and dx"
                 msg += " are not of the same length"
-                raise ValueError, msg
+                raise ValueError(msg)
             if has_err_y and not (len(self.y) == len(self.dy)):
                 msg = "Plottable.View: transformed y"
                 msg += " and dy are not of the same length"
-                raise ValueError, msg
+                raise ValueError(msg)
             # Check that negative values are not plot on x and y axis for
             # log10 transformation
@@ -812,7 +812,7 @@
                         tempy.append(self.y[i])
                         tempdy.append(self.dy[i])
-                except:
+                except Exception as exc:
                     logger.error("check_data_logX: skipping point x %g", self.x[i])
-                    logger.error(sys.exc_value)
+                    logger.error(exc)
             self.x = tempx
             self.y = tempy
@@ -842,7 +842,7 @@
                         tempy.append(self.y[i])
                         tempdy.append(self.dy[i])
-                except:
+                except Exception as exc:
                     logger.error("check_data_logY: skipping point %g", self.y[i])
-                    logger.error(sys.exc_value)
+                    logger.error(exc)
 
             self.x = tempx
@@ -996,5 +996,5 @@
             self.zmax = zmax
         else:
-            raise "zmin is greater or equal to zmax "
+            raise("zmin is greater or equal to zmax ")
 
     def render(self, plot, **kw):
@@ -1108,5 +1108,5 @@
         Plottable.__init__(self)
         msg = "Theory1D is no longer supported, please use Data1D and change symbol.\n"
-        raise DeprecationWarning, msg
+        raise DeprecationWarning(msg)
 
 class Fit1D(Plottable):
Index: src/sas/sasgui/plottools/toolbar.py
===================================================================
--- src/sas/sasgui/plottools/toolbar.py	(revision 20fa5fe0c3e314a850432d5e463d03ceed3e453a)
+++ src/sas/sasgui/plottools/toolbar.py	(revision cb64d86aa05427be27c71cc415727ce4d7fdce69)
@@ -39,5 +39,5 @@
     try: save_figure = NavigationToolbar2WxAgg.save
     except AttributeError: pass
-    
+
     def _init_toolbar(self):
         self._parent = self.canvas.GetParent()
@@ -65,9 +65,17 @@
                            'Forward', 'Forward navigation view')
         # todo: get new bitmap
-        self.AddCheckTool(self._NTB2_PAN, _load_bitmap('move.png'),
-                          shortHelp='Pan',
-                          longHelp='Pan with left, zoom with right')
-        self.AddCheckTool(self._NTB2_ZOOM, _load_bitmap('zoom_to_rect.png'),
-                          shortHelp='Zoom', longHelp='Zoom to rectangle')
+        # todo: update with code from matplotlib/backends/backend_wx.py
+        if 'phoenix' in wx.PlatformInfo: # wx phoenix >= 4.0.0b2
+            self.AddCheckTool(self._NTB2_PAN, "Pan", _load_bitmap('move.png'),
+                              shortHelp='Pan',
+                              longHelp='Pan with left, zoom with right')
+            self.AddCheckTool(self._NTB2_ZOOM, "Zoom", _load_bitmap('zoom_to_rect.png'),
+                              shortHelp='Zoom', longHelp='Zoom to rectangle')
+        else:
+            self.AddCheckTool(self._NTB2_PAN, _load_bitmap('move.png'),
+                              shortHelp='Pan',
+                              longHelp='Pan with left, zoom with right')
+            self.AddCheckTool(self._NTB2_ZOOM, _load_bitmap('zoom_to_rect.png'),
+                              shortHelp='Zoom', longHelp='Zoom to rectangle')
 
         self.AddSeparator()
Index: src/sas/sasgui/plottools/transform.py
===================================================================
--- src/sas/sasgui/plottools/transform.py	(revision 7432acb919f4013119ca918a73350297e0d4c93f)
+++ src/sas/sasgui/plottools/transform.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -24,5 +24,5 @@
     """
     if not x > 0:
-        raise ValueError, "Transformation only accepts positive values."
+        raise ValueError("Transformation only accepts positive values.")
     else:
         return x
@@ -50,5 +50,5 @@
     """
     if not x >= 0:
-        raise ValueError, "square root of a negative value "
+        raise ValueError("square root of a negative value ")
     else:
         return math.sqrt(x)
@@ -76,5 +76,5 @@
     """
     if not x >= 0:
-        raise ValueError, "double square root of a negative value "
+        raise ValueError("double square root of a negative value ")
     else:
         return math.sqrt(math.sqrt(x))
@@ -90,5 +90,5 @@
     """
     if not x > 0:
-        raise ValueError, "Log(x)of a negative value "
+        raise ValueError("Log(x)of a negative value ")
     else:
         return math.log(x)
@@ -100,5 +100,5 @@
         return 1 / x
     else:
-        raise ValueError, "cannot divide by zero"
+        raise ValueError("cannot divide by zero")
 
 
@@ -109,5 +109,5 @@
         return 1 / math.sqrt(y)
     else:
-        raise ValueError, "transform.toOneOverSqrtX: cannot be computed"
+        raise ValueError("transform.toOneOverSqrtX: cannot be computed")
 
 
@@ -118,5 +118,5 @@
         return math.log(y * (x ** 2))
     else:
-        raise ValueError, "transform.toLogYX2: cannot be computed"
+        raise ValueError("transform.toLogYX2: cannot be computed")
 
 
@@ -127,5 +127,5 @@
         return math.log(math.pow(x, 4) * y)
     else:
-        raise ValueError, "transform.toLogYX4: input error"
+        raise ValueError("transform.toLogYX4: input error")
 
 
@@ -149,5 +149,5 @@
     """
     if not (x * y) > 0:
-        raise ValueError, "Log(X*Y)of a negative value "
+        raise ValueError("Log(X*Y)of a negative value ")
     else:
         return math.log(x * y)
@@ -211,5 +211,5 @@
     else:
         msg = "transform.errFromX2: can't compute error of negative x"
-        raise ValueError, msg
+        raise ValueError(msg)
 
 
@@ -245,5 +245,5 @@
     else:
         msg = "transform.errFromX4: can't compute error of negative x"
-        raise ValueError, msg
+        raise ValueError(msg)
 
 
@@ -264,9 +264,9 @@
         msg = "Transformation does not accept"
         msg += " point that are consistent with zero."
-        raise ValueError, msg
+        raise ValueError(msg)
     if x != 0:
         dx = dx / (x * math.log(10))
     else:
-        raise ValueError, "errToLogX: divide by zero"
+        raise ValueError("errToLogX: divide by zero")
     return dx
 
@@ -287,5 +287,5 @@
         dx = dx / x
     else:
-        raise ValueError, "errToLogX: divide by zero"
+        raise ValueError("errToLogX: divide by zero")
     return dx
 
@@ -312,5 +312,5 @@
         msg = "Transformation does not accept point "
         msg += " that are consistent with zero."
-        raise ValueError, msg
+        raise ValueError(msg)
     if x != 0 and y != 0:
         if dx is None:
@@ -320,5 +320,5 @@
         err = (dx / x) ** 2 + (dy / y) ** 2
     else:
-        raise ValueError, "cannot compute this error"
+        raise ValueError("cannot compute this error")
 
     return math.sqrt(math.fabs(err))
@@ -335,5 +335,5 @@
         msg = "Transformation does not accept point"
         msg += " that are consistent with zero."
-        raise ValueError, msg
+        raise ValueError(msg)
     if x > 0 and y > 0:
         if dx is None:
@@ -343,5 +343,5 @@
         err = (2.0 * dx / x) ** 2 + (dy / y) ** 2
     else:
-        raise ValueError, "cannot compute this error"
+        raise ValueError("cannot compute this error")
     return math.sqrt(math.fabs(err))
 
@@ -357,5 +357,5 @@
         err = dx / x ** 2
     else:
-        raise ValueError, "Cannot compute this error"
+        raise ValueError("Cannot compute this error")
     return math.fabs(err)
 
@@ -371,5 +371,5 @@
         err = -1 / 2 * math.pow(x, -3.0 / 2.0) * dx
     else:
-        raise ValueError, "Cannot compute this error"
+        raise ValueError("Cannot compute this error")
     return math.fabs(err)
 
@@ -387,5 +387,5 @@
         msg = "Transformation does not accept point "
         msg += " that are consistent with zero."
-        raise ValueError, msg
+        raise ValueError(msg)
     if dx is None:
         dx = 0
Index: src/sas/sasview/sasview.py
===================================================================
--- src/sas/sasview/sasview.py	(revision 1270e3c4e7a4343f5a384a6bf3799b972b00c1d2)
+++ src/sas/sasview/sasview.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -42,5 +42,7 @@
 
         from sas.sasgui.guiframe.gui_manager import SasViewApp
+        from sas.sasgui.guiframe.gui_style import GUIFRAME_ICON
         self.gui = SasViewApp(0)
+        GUIFRAME_ICON.load_icons()
         if sys.platform == "darwin":
             self.check_sasmodels_compiler()
@@ -228,6 +230,11 @@
         logger.error("Wx version: error reading version")
 
-    from . import wxcruft
-    wxcruft.call_later_fix()
+    # TODO: Do we need the call later fix for wx 3? Or is it wx < 3 only?
+    if "phoenix" in wx.PlatformInfo:
+        #wx.NewId = wx.Window.NewControlId
+        pass
+    else:
+        from . import wxcruft
+        wxcruft.call_later_fix()
     #wxcruft.trace_new_id()
     #Always use private .matplotlib setup to avoid conflicts with other
Index: src/sas/sasview/welcome_panel.py
===================================================================
--- src/sas/sasview/welcome_panel.py	(revision b963b2066d6a76fe5073000c5a596a6fd0130ac4)
+++ src/sas/sasview/welcome_panel.py	(revision 5251ec6db8aae214addfa0a5a1da16820994958b)
@@ -2,10 +2,14 @@
     Welcome page
 """
-import wx
-import wx.aui
-import wx.lib.hyperlink
 import os.path
 import os, sys
 
+import wx
+import wx.aui
+try:
+    # CRUFT: wx 4 moved hyperlink to wx.lib.agw
+    from wx.lib import hyperlink
+except ImportError:
+    from wx.lib.agw import hyperlink
 from wx.lib.scrolledpanel import ScrolledPanel
 
@@ -115,5 +119,5 @@
         send_ticket += "help@sasview.org"
         self.hyperlink_paper = \
-            wx.lib.hyperlink.HyperLinkCtrl(self, -1,
+            hyperlink.HyperLinkCtrl(self, -1,
                                            send_ticket, URL=config._license)
 
